package com.nisum.employeeservice.service;

import com.nisum.employeeservice.model.Employee;
import com.nisum.employeeservice.repository.EmployeeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class EmployeeService {

  @Autowired EmployeeRepository employeeRepository;


  public List<Employee> findAllEmployees() {
    /*some business*/
    return employeeRepository.findAll();
  }

  public Employee addEmployee(Employee employee) {
    return employeeRepository.save(employee);
  }

//  public void updateEmployee(Employee employee) {
//    employeeRepository.
//
//  }

  public Optional<Employee> getEmployeeById(Long employeeId) {
    return employeeRepository.findById(employeeId);
  }


  public void deleteEmployeeById(Long employeeId) {
    employeeRepository.deleteById(employeeId);
  }
}
